[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":listElements" label="Elements"]]
</ol>

<semantic-query
  query='SELECT ?label WHERE
    {
      ?element ecrm:P3_has_note ?label .
      BIND(<[[urlParam "elementiri"]]> as ?element)
     }'
  template="<h3>{{#each bindings}}{{label.value}}{{/each}}</h3>">
</semantic-query>
<semantic-link uri="[[urlParam "elementiri"]]" class="btn btn-md btn-primary gap-bottom" >Edit</semantic-link>

<div class="content">
  <dl>
    <!-- Regions -->
    <dt>Regions</dt>
    <dd class="row">

        <semantic-query
          query="SELECT
            ?boundingBox
            ?element
            ?element_label
            ?IIIFPath
            ?imageID
            ?label
            ?region
            ?page
            ?page_num
          WHERE {
            BIND(<[[urlParam "elementiri"]]> as ?element) .

            ?region ecrm:P138_represents ?element ;
              crmDig:L49_is_primary_area_of ?page ;
              rs:boundingBox ?bbox ;
              rs:displayLabel ?label .

            :configIIIFPath ecrm:P3_has_note ?IIIFPath .

            BIND(STRAFTER(?bbox, 'xywh=') as ?boundingBox)
            BIND(?page as ?imageIRI) .

            [[> :queryImageIdPattern]]

          } ORDER BY xsd:integer(?page_num)"
          template='
            {{#each bindings}}
              <div class="col-sm-4">
                <semantic-link
                  uri=":viewPage"
                  urlqueryparam-pageiri="{{page.value}}"
                  class="thumbnail">

                  <img src="{{IIIFPath.value}}{{imageID.value}}/{{boundingBox.value}}/!300,300/0/default.jpg" />

                </semantic-link>

              </div>
            {{/each}}'
        ></semantic-query>
    </dd>

    <!-- Appears in -->
    <dt>
      Books
    </dt>
    <dd>
        <semantic-table config='{
        	"query":"SELECT DISTINCT [[> :queryBooksSelect ]] ?page_num WHERE {

              BIND(<[[urlParam "elementiri"]]> as ?element)

              ?subject efrbroo:R29i_was_reproduced_by/efrbroo:R30_produced/ecrm:P128_carries/ecrm:P106_is_composed_of ?page .
              ?page a ecrm:E36_Visual_Item ;
                ecrm:P1_is_identified_by ?page_num .

              ?region ecrm:P138_represents ?element ;
                crmDig:L49_is_primary_area_of ?page .

              [[> :queryBooks]]

              }
        			GROUP BY [[> :queryBooksGroup]] ?page_num
              ORDER BY ?year_published_from ?date_text",
          "layout":{
            "options":{
              "resultsPerPage": 20,
              "showFilter" : false
            }
          },
        	"columnConfiguration" : [
        		[[> :colConfBooks]]
            ,
            {
              "displayName" : "Page",
              "variableName" : "page_num"
            }
          ]
        }'>
        </semantic-table>
    </dd>
  </dl>

  [[> :identifier iri="elementiri"]]

</div>
